summaryrefslogtreecommitdiffstats
path: root/bootstrap.sh
diff options
context:
space:
mode:
authorLennart Poettering <lennart@poettering.net>2006-01-23 01:17:14 +0000
committerLennart Poettering <lennart@poettering.net>2006-01-23 01:17:14 +0000
commit5a4d9e05f6cddc0b44915079d31724d6b60ed7f5 (patch)
treed450254f1b82a9d95dc1d32eb97030fa8294c060 /bootstrap.sh
parenta7ce05c295d17d46bf6b84426b2c21472588470d (diff)
port to apache 2.0
git-svn-id: file:///home/lennart/svn/public/mod_mime_xattr/trunk@12 f01872de-66d6-0310-9185-fc3b30f50adc
Diffstat (limited to 'bootstrap.sh')
-rwxr-xr-xbootstrap.sh39
1 files changed, 27 insertions, 12 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
index f843d46..19315af 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -1,7 +1,7 @@
#!/bin/bash
# $Id$
-# Copyright 2004 Lennart Poettering
+# Copyright 2004-2006 Lennart Poettering
#
# Licensed under the Apache License, Version 2.0 (the "License"); you
# may not use this file except in compliance with the License. You
@@ -15,29 +15,44 @@
# implied. See the License for the specific language governing
# permissions and limitations under the License.
+VERSION=1.9
+
run_versioned() {
local P
- type -p "$1-$2" &> /dev/null && P="$1-$2" || local P="$1"
+ local V
+
+ V=$(echo "$2" | sed -e 's,\.,,g')
+
+ if [ -e "`which $1$V`" ] ; then
+ P="$1$V"
+ else
+ if [ -e "`which $1-$2`" ] ; then
+ P="$1-$2"
+ else
+ P="$1"
+ fi
+ fi
shift 2
"$P" "$@"
}
+set -ex
+
if [ "x$1" = "xam" ] ; then
- set -ex
- run_versioned automake 1.7 -a -c
+ run_versioned automake "$VERSION" -a -c --foreign
./config.status
else
- set -ex
rm -rf autom4te.cache
rm -f config.cache
- run_versioned aclocal 1.7
- autoheader
- run_versioned automake 1.7 -a -c
- autoconf -Wall
-
- ./configure --sysconfdir=/etc "$@"
+ run_versioned aclocal "$VERSION"
+ run_versioned autoconf 2.59 -Wall
+ run_versioned autoheader 2.59
+ run_versioned automake "$VERSION" -a -c --foreign
- make clean
+ if test "x$NOCONFIGURE" = "x"; then
+ CFLAGS="-g -O0" ./configure --sysconfdir=/etc "$@"
+ make clean
+ fi
fi